Update a Automation Blueprint Run in API Explorer
Ask AI
Body
-
Name of the automation
-
What triggers this automation
-
Is this automation currently active
-
List of conditions to evaluate on the trigger before running automation, operator types can be on ofequals, not_equal_to, more_than, less_than, less_than_or_equal_to and more_than_or_equal_to
-
Extra configuration options for the trigger of this blueprint
Additional properties are allowed.
PUT
/api/v1/automation-blueprints/{automationBlueprint_uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/automation-blueprints/dcf0-484e-a0c5-08590fe89a84-f6aa1670' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"name":"Add a new client to system on calendly webhook","trigger":"webhook","is_active":false,"conditions":[{"field":"client.is_prospect","value":true,"operator":"equals"}],"configuration":{}}'
Request examples
{
"name": "Add a new client to system on calendly webhook",
"trigger": "webhook",
"is_active": false,
"conditions": [
{
"field": "client.is_prospect",
"value": true,
"operator": "equals"
}
],
"configuration": {}
}
Response examples (200)
{
"name": "Add new client on webhook",
"uuid": "5a9cb7c7-3141-4718-a4df-872857fdd209",
"steps": [
{
"name": "create a new client",
"type": "client.create",
"uuid": "6346e89e-0dc8-4059-b89a-52dfa3845de4",
"updated": "2026-04-09T17:35:06+01:00",
"created_at": "2026-04-09T17:35:06+01:00",
"configuration": {
"params": {
"account_uuid": {
"type": "ref",
"value": "trigger.account.uuid"
}
}
},
"condition_state": false,
"parent_step_uuid": "98063b04-b09a-4c73-8959-4bf99ceb2601"
}
],
"account": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "097cb2a3-31cd-4fa8-afbe-69dcbe8bb9c0",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-04-09T17:35:06+01:00",
"first_name": "Gareth",
"updated_at": "2026-04-09T17:35:06+01:00",
"with_login": true,
"inactive_at": "2026-04-09",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-04-09T17:35:06+01:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-04-09T17:35:06+01:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-04-09 17:35:06",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-04-09T17:35:06+01:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-04-09T17:35:06+01:00"
},
"trigger": "client.create",
"is_active": false,
"conditions": [],
"created_at": "2026-04-09T17:35:06+01:00",
"updated_at": "2026-04-09T17:35:06+01:00",
"steps_count": "1",
"configuration": [],
"webhook_targets": [
{
"url": "https://api.plannrcrm.com/api/v1/webhooks/01605357-9fba-4cab-b4f0-141476dfa4ea",
"uuid": "960ec219-032a-4ead-980d-621505945d42",
"created_at": "2026-04-09T17:35:06+01:00",
"updated_at": "2026-04-09T17:35:06+01:00"
}
]
}